#version 440

layout(binding=0) uniform sampler2D texture0;
layout(binding=1) uniform sampler2D texture1;
layout(binding=2) uniform sampler2D texture2;
layout(binding=3) uniform sampler2D ShadowMap;

in vec4 ShadowCoord;
uniform vec3 color;

// per vertex interpolated program input
in VertexData {
    vec4 vary_position; // vertex position
    vec2 vary_TexCoord;
//    vec2 vary_LightCoord;
//    vec3 vary_normal;
//    flat int vary_color;
//    vec3 vary_tangent;
} Vertex;

// Final fragment color output
out vec4 Fragment;

void main()
{
	if (color.x == 0 && color.y == 0 && color.z == 0)
	{
		Fragment = texture(texture0, Vertex.vary_TexCoord);
	}
	else
	{
		Fragment = vec4(color.xyz, 1);
	}
}

