#version 440


// Per vertex attribute input
in vec3 attr_position;
in vec2 attr_TexCoord;
in vec2 attr_LightCoord;
in vec3 attr_normal;
in int	attr_color;
in vec3	attr_tangent;


// Used for shadow lookup
out vec4 ShadowCoord;

// interpolated output
out VertexData {
	vec4		vary_position;
	vec2		vary_TexCoord;
//	vec2		vary_LightCoord;
//	vec3		vary_normal;
//	flat int	vary_color;
//	vec3		vary_tangent;
} Vertex;

uniform mat4	mvp;
uniform mat4	shadowmvp;
uniform vec3	color;

void main()
{
	gl_Position = mvp * vec4(attr_position, 1.0);
	Vertex.vary_position = gl_Position;
	Vertex.vary_TexCoord = attr_TexCoord;

}

